Package org.apache.commons.math3.fitting

# Class WeightedObservedPoint

java.lang.Object
org.apache.commons.math3.fitting.WeightedObservedPoint

All Implemented Interfaces:
  `Serializable`

public class WeightedObservedPoint extends Object implements Serializable
This class is a simple container for weighted observed point in `curve fitting`.

Instances of this class are guaranteed to be immutable.

Since:
  2.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WeightedObservedPoint(double weight, double x, double y)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getWeight()`
Gets the weight of the measurement in the fitting process.
`double`
`getX()`
Gets the abscissa of the point.
`double`
`getY()`
Gets the observed value of the function at x.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeightedObservedPoint

public WeightedObservedPoint(double weight, double x, double y)
Simple constructor.

Parameters:
  `weight` - Weight of the measurement in the fitting process.
  `x` - Abscissa of the measurement.
  `y` - Ordinate of the measurement.

## Method Details

### getWeight

public double getWeight()
Gets the weight of the measurement in the fitting process.

Returns:
  the weight of the measurement in the fitting process.

### getX

public double getX()
Gets the abscissa of the point.

Returns:
  the abscissa of the point.

### getY

public double getY()
Gets the observed value of the function at x.

Returns:
  the observed value of the function at x.